﻿namespace TestProject
{
    /// <summary>
    /// 종성 타입
    /// </summary>
    public enum JongsungType
    {
        /// <summary>
        /// 해당 무
        /// </summary>
        None = -1,

        /// <summary>
        /// ㄱ
        /// </summary>
        r = 1,

        /// <summary>
        /// ㄲ
        /// </summary>
        R = 2,

        /// <summary>
        /// ㄳ
        /// </summary>
        rt = 3,

        /// <summary>
        /// ㄴ
        /// </summary>
        s = 4,

        /// <summary>
        /// ㄵ
        /// </summary>
        sw = 5,

        /// <summary>
        /// ㄶ
        /// </summary>
        sg = 6,

        /// <summary>
        /// ㄷ
        /// </summary>
        e = 7,

        /// <summary>
        /// ㄹ
        /// </summary>
        f = 8,

        /// <summary>
        /// ㄺ
        /// </summary>
        fr = 9,

        /// <summary>
        /// ㄻ
        /// </summary>
        fa = 10,

        /// <summary>
        /// ㄼ
        /// </summary>
        fq = 11,

        /// <summary>
        /// ㄽ
        /// </summary>
        ft = 12,

        /// <summary>
        /// ㄾ
        /// </summary>
        fx = 13,

        /// <summary>
        /// ㄿ
        /// </summary>
        fv = 14,

        /// <summary>
        /// ㅀ
        /// </summary>
        fg = 15,

        /// <summary>
        /// ㅁ
        /// </summary>
        a = 16,

        /// <summary>
        /// ㅂ
        /// </summary>
        q = 17,

        /// <summary>
        /// ㅄ
        /// </summary>
        qt = 18,

        /// <summary>
        /// ㅅ
        /// </summary>
        t = 19,

        /// <summary>
        /// ㅆ
        /// </summary>
        T = 20,

        /// <summary>
        /// ㅇ
        /// </summary>
        d = 21,

        /// <summary>
        /// ㅈ
        /// </summary>
        w = 22,

        /// <summary>
        /// ㅊ
        /// </summary>
        c = 23,

        /// <summary>
        /// ㅋ
        /// </summary>
        z = 24,

        /// <summary>
        /// ㅌ
        /// </summary>
        x = 25,

        /// <summary>
        /// ㅍ
        /// </summary>
        v = 26,

        /// <summary>
        /// ㅎ
        /// </summary>
        g = 27
    }
}